Subject: Re: [MOBILE-IP] RFC2002bis

From: Alper Yegin <[email-masked]>
Date: Mon, 10 Jan 2000 22:33:17 -0500

Charlie, and wg members,

>> > [3]
>> >
>> > 4.6. ARP, Proxy ARP, and Gratuitous ARP
>> > ...
>> >    Finally, while the
>> >    mobile node is away from home, it MUST NOT reply to ARP Requests
>> >    in which the target IP address is its own home address, unless the
>> >    ARP Request is sent by a foreign agent with which the mobile node
>> >    is attempting to register or a foreign agent with which the mobile
>> >    node has an unexpired registration.
>> >
>> > But we know that the FA MUST NOT send ARP. So, this is contradicting.
>>
>> Which part should be changed?
>
>I changed the word "sent" to "unicast".  This allows the foreign agent
>to send ARPs as long as it is not broadcast.  I think this means even
>not using any layer-2 multicast or broadcast address.
>
>Help on this point will be appreciated.  I don't have time just now
>to go through all the previous archived discussion on this point.

We are ARPing the MN, because we don't know it's MAC address. I cannot see
how we are able to find out the MAC address without link-layer broadcast or
multicast.

>
>From some previous discussion, I have the following unresolved point:
>
>> Q: new FA forwarding text; sometimes two MNs on the same FA sometimes get
>>    traffic forwarded directly rather than via HA.

The host specific route to MN shouldn't be available to any packets
other than the ones arriving to FA on the tunnel configured for this MN.
This requires forwarding based on not only destination address but also
incoming interface. Without this, there's the problem of getting HA out
of the loop, and in the case of MN moving another site, host specific
route will not go away until previous FA expires the registration,
and until then any communication going through this FA will be
interrupted.

How about adding some text, requiring above prevention.

>>  Also MNs can introduce
>>    denial of service if they make a mistake in their registration
>>    messages - sometimes re-registrations can be redirected at a MN!
>
>Do I need to do anything here?
>
>
>Regards,
>Charlie P.
>

Thanks,

Alper Yegin
Internet Engineering
Sun Microsystems, Inc.

---

From: "Kent K. Leung" <[email-masked]>
Date: Mon, 10 Jan 2000 21:44:06 -0800

> how we are able to find out the MAC address without link-layer broadcast or

Why does an FA need to ARP the MN?  The FA knows the MN's MAC address
when the MN registers and should store this info in future communications.
Am I not seeing a scenario that you're describing that requires an FA
to ARP?

> How about adding some text, requiring above prevention.

Isn't this route optimization? :)  My thought is that bad to have
packets forwarded directly instead of always through HA in the case
both MNs are attached to the same FA?  Should this be switching
implementation dependant?  I guess is the behaviour a MUST or SHOULD?

-- Kent --

---

From: "Charles E. Perkins" <[email-masked]>
Date: Tue, 11 Jan 2000 07:05:14 -0800

Hello Alper,

> how we are able to find out the MAC address without link-layer broadcast or

Agreed.  It might be useful for a FA to do a unicast ARP in case its
current ARP-table entry were timing out.  Or, maybe not.  Should I
delete the sentences?

> and until then any communication going through this FA will be

I'll try to find a place to put this.  Do you have a suggestion?

Regards,
Charlie P.